<!-- 部门表单组件 -->
<template>
	<view class="m-form">
		<view class="m-form-head"><u-icon name="close-circle" color="#fff" size="40" @click="cancel"></u-icon></view>
		<!-- 修改 -->
		<view class="m-form-label" v-if="warnLableType == 'update'">
			<u--form labelPosition="left" labelAlign="right" :model="model" :rules="rules" ref="form" labelWidth="100" :labelStyle="{ color: 'rgb(129, 129, 129)' }">
				<u-form-item label="设备编号" prop="equipmentcode" borderBottom ref="item">
					<u--input
						:customStyle="{
							'background-color': 'rgb(233, 233, 233)',
							'box-shadow': 'inset 2px 1.464px 5px 0px #ccccc4, 1.464px 1.464px 5px 0px rgba(255, 255, 255, 0.75)'
						}"
						readonly
						placeholderStyle="color:#000"
						color="#000"
						v-model="model.equipmentcode"
						border="none"
					></u--input>
				</u-form-item>
			</u--form>
		</view>
		<!-- 添加 -->
		<view class="m-form-label" v-if="warnLableType == 'add'">
			<u--form labelPosition="left" labelAlign="right" :model="model" :rules="rules" ref="form" labelWidth="100" :labelStyle="{ color: 'rgb(129, 129, 129)' }">
				<u-form-item label="设备编号" prop="equipmentcode" borderBottom ref="item">
					<u--input
						:customStyle="{
							'background-color': 'rgb(233, 233, 233)',
							'box-shadow': 'inset 2px 1.464px 5px 0px #ccccc4, 1.464px 1.464px 5px 0px rgba(255, 255, 255, 0.75)'
						}"
						placeholderStyle="color:#000"
						color="#000"
						v-model="model.equipmentcode"
						border="none"
					></u--input>
				</u-form-item>
			</u--form>
		</view>
		<view class="m-form-button-list"><u-button type="primary" text="确定" @click="save"></u-button></view>
	</view>
</template>

<script>
import {connChart} from '../../../common/utils.js'
import {formatDate} from '../../../common/tools.js'
export default {
	props: {
		warnLableType: String,
		warnLableFormData: Object
	},
	data() {
		return {
			model: {
				equipmentcode: '',
			},
			addModel: {
				equipmentcode: ''
			},
			rules: {
				equipmentcode: {
					validator: (rule, value, callback) => {
						// 返回true表示校验通过，返回false表示不通过
						var pattern = /^((?![0-9]+$)(?![a-zA-Z]+$)|[0-9A-Za-z]{1,1000})$/;
						console.log(pattern.test(value));
						return pattern.test(value);
					},
					required: true,
					message: '请输入字母或数字',
					trigger: ['blur', 'change']
				}
			},
			labelModel: null,
		};
	},
	methods: {
		//保存
		save() {
			if (this.warnLableType == 'add') {
				//查重
				this.labelModel.find(`equipmentcode=${this.model.equipmentcode}`,(e,r)=>{
					if(r.length>0){
						uni.$u.toast('设备编号重复')
					}else{
						//添加
						this.labelModel.insert({
							appendTime:formatDate(new Date(),'yyyy-MM-dd hh:mm:ss'), 
							equipmentcode: this.model.equipmentcode, 
						}, (err, results) => {
							this.$emit('submitwarnLableForm');
						});
					}
				})
			} else if (this.warnLableType == 'update') {
				//修改
				this.labelModel.update(`id='${this.model.id}'`,{
					equipmentcode: this.model.equipmentcode, 
				},(err,results)=>{
					this.$emit('submitwarnLableForm');
				});
			} 
		},
		//取消
		cancel() {
			this.$emit('cancelwarnLableForm');
		},
		connDB() {
			this.labelModel = connChart('warn')
		}
	},
	mounted() {
		if (this.warnLableType == 'add') {
			// this.model = this.addModel;
			// console.log(this.model)
		} else if (this.warnLableType == 'update') {
			this.model = this.warnLableFormData;
		}
		this.connDB();
	}
};
</script>

<style lang="scss" scoped>
.m-form {
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	background-color: rgba(233, 233, 233, 0.95);
	width: 60%;
	display: flex;
	flex-direction: column;
	z-index: 99999;
}
.m-form-head {
	width: 100%;
	border-bottom: 1px solid #fff;
}
.m-form-head .u-icon {
	float: right;
}
/deep/ .u-form-item__body__left__content__label {
	color: #fff;
}
.m-form-label {
	width: 80%;
	margin: 0 auto;
	margin-bottom: 0.5em;
}
input {
	width: 50px;
}
.m-form-button-list {
	width: 100%;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	margin-bottom: 1em;
}
.m-form-button-list .u-button {
	width: 5em;
}
.m-form-button-list .u-button:nth-child(2),
.m-form-button-list .u-button:nth-child(3),
.m-form-button-list .u-button:nth-child(4) {
	margin-top: 2em;
}
</style>
